<?
include_once("mysql.php");
include_once("inclydings/gzips.php");
include_once("inclydings/antixak.php");
include_once("inclydings/zag.php");
include_once("inclydings/ini.php");
include_once("inclydings/sesi.php");
if (isset($user)) {
include_once("inclydings/udata.php");

$loto=rand(1,2);
$time=date("H:i");


switch($go) {
default:
echo"<b>Внимание перед каждым разом як вы здаете рыбу Владимеру, нужно покупать крючки. Бо рыбка ловиться не будет!</b><br/><br/></a>";
echo"Fishing Guild Member Perelin<br/>
Вы любите порыбачить? Уверен, что да! Я отдыхаю, когда занимаюсь своим любимым делом.
Ха!<br/>
<a href=\"ozero.php?$sd&go=krutit\">Забросить удочку</a>";

break;

case 'krutit':
if($loto==1){
if($udata[12]>"Baby Duck Rod"){echo"С начало возьмите Удочку!"; include_once"inclydings/down.php"; exit; }
if($data[4]=="fish"){echo"С начало купите кручьки!"; include_once"inclydings/down.php"; exit; }

require_once "inclydings/flood.php";
if (CheckIP ()){echo"Забрасывать удочку можно 1 раз в 5 секунд.<br/>
<br/><a href=\"ozero.php?$sd&go=krutit\">Забросить удочку</a>"; include 'inclydings/down.php'; exit;}


echo"Не клюёт.<br/>

<a href=\"ozero.php?$sd&go=krutit\">Забросить удочку</a>"; 
}
if($loto==2){
if($udata[12]>"Baby Duck Rod"){echo"С начало возьмите Удочку!"; include_once"inclydings/down.php"; exit; }
if($data[4]=="fish"){echo"С начало купите кручьки!"; include_once"inclydings/down.php"; exit; }

require_once "inclydings/flood.php";
if (CheckIP ()){echo"Забрасывать удочку можно 1 раз в 5 секунд.<br/>
<br/><a href=\"ozero.php?$sd&go=krutit\">Забросить удочку</a>"; include 'inclydings/down.php'; exit;}


echo"Вы уловили 1 рыбку. <br/><a href=\"ozero.php?$sd&go=krutit\">Забросить удочку</a>";
$duuu=opendir("L2dbnam/esql2db/drops/1.dat");
$all = 1;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $all++;} closedir($duuu);
$drop=rand(0,$all);
$dropp = @file("L2dbnam/esql2db/drops/1.dat");
$dropp = explode(":||:",$dropp[0]);
///////////////////////////////////////////////////////
$lines=file("L2dbnam/esql2db/item/$log.dat");
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode(":||:",$lines[$b]);
if($dt[4]==$dropp[4]){
$dt[3]=$dt[3]+1;
if(@file_exists("L2dbnam/esql2db/drops/1.dat")){
$text="$dt[0]:||:$dt[1]:||:$dt[2]:||:$dt[3]:||:$dt[4]:||:";
$file=file("L2dbnam/esql2db/item/$log.dat");
$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($b!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
}
}
}
}

break;
}}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>